# OpalManager::InterfaceMonitor Class Reference

`#include <manager.h>`

List of all members.

## Public Member Functions

| InterfaceMonitor (OpalManager &manager)

## Protected Member Functions

virtual void | OnAddInterface (const PIPSocket::InterfaceEntry &entry)
virtual void | OnRemoveInterface (const PIPSocket::InterfaceEntry &entry)

## Protected Attributes

OpalManager & | m_manager

## Constructor & Destructor Documentation

OpalManager::InterfaceMonitor::InterfaceMonitor | ( | OpalManager & | manager | ) |

## Member Function Documentation

virtual void OpalManager::InterfaceMonitor::OnAddInterface | ( | const PIPSocket::InterfaceEntry & | entry | ) | `[protected, virtual]`

virtual void OpalManager::InterfaceMonitor::OnRemoveInterface | ( | const PIPSocket::InterfaceEntry & | entry | ) | `[protected, virtual]`

## Member Data Documentation

OpalManager& OpalManager::InterfaceMonitor::m_manager `[protected]`

The documentation for this class was generated from the following file:

- manager.h